Subject: Printer problems (not more you cry!)...

From: Jason Quigley <[email-masked]>
Date: Sat, 27 May 2000 00:13:40 +0200

Hi!

I am having serious problems printing to my Epson SC800. I can print okay
from the Linux box, but from the mac - nada!

I am using version 8.6.5 of the Laserwriter 8 driver and I want to print via
IP *not* PAPD (actually I can't get it to work with PAPD either!). The
kernel version is 2.2.4 with Netatalk 1.4b2+asun2.1.1

The spooler I am using is LPRng 3.5.2-1.3.

Has anybody experienced any problems with this mix of kernel, software, etc?

My /etc/printcap is:

lp|medium|Epson Stylus Colour 800 720x720 plain paper
        :lp=/dev/lp0
        :sd=/var/spool/lpd/lp
        :af=/var/log/lp-acct
        :lf=/var/log/lp-errs
        :if=/etc/jasfilter/epson-stc800p
        :pl#66
        :pw#80
        :pc#150
        :mx#0
        :sh

low|Epson Stylus Colour 800 360x360 plain paper
        :lp=/dev/lp0
        :sd=/var/spool/lpd/lp
        :af=/var/log/lp-acct
        :lf=/var/log/lp-errs
        :if=/etc/jasfilter/epson-stc800pl
        :pl#66
        :pw#80
        :pc#150
        :mx#0
        :sh

high|Epson Sytlus Colour 800 1440x720 high quality paper
        :lp=/dev/lp0
        :sd=/var/spool/lpd/lp
        :af=/var/log/lp-acct
        :lf=/var/log/lp-errs
        :if=/etc/jasfilter/epson-stc800ih
        :pl#66
        :pw#80
        :pc#150
        :mx#0
        :sh

and my filter file looks like:

#!/bin/sh
uppfile=`echo $0 | cut -f2 -d"-"`
gs @$uppfile.upp -sOutputFile=- -q - -c quit

which is symbolically linked to by the "if" files in /etc/printcap.

Any help would be greatly appreciated!

Many thanks,
Jason.